#include <iostream>

using namespace std;

int main()
{
    int num = 2;
    int *x;
    int **y;
    x = &num;
    y = &x;
    cout << " *x = " << *x << "\n";
    cout << "  x = " << x << "\n";
    cout << " *y = " << *y << "\n";
    return 0;
}
